/* 
 * File:   RGBControl.h
 * Author: Grant
 *
 * Created on May 21, 2013, 11:21 PM
 */

#ifndef RGBCONTROL_H
#define	RGBCONTROL_H

#ifdef	__cplusplus
extern "C" {
#endif


typedef struct{
    unsigned char hue; // hue can be an int 1-7 representing all nonzero combos of RGB
    // ignoring saturation for now, all 100% saturated
    unsigned char value; // 0-100% setting duty cycle
} HSV_t;

#define BLUE  0x01
#define GREEN 0x02
#define CYAN 0x03
#define RED   0x04  // register bits that turn on pwm to relevant pins on PSTRCON
#define MAGENTA 0x05
#define YELLOW 0x06
#define WHITE 0x07

void setupPWM(void);
void setColor(HSV_t);
void turnOffLED(void);

#ifdef	__cplusplus
}
#endif

#endif	/* RGBCONTROL_H */

