/******************************************************************************/
/*Files to Include                                                            */
/******************************************************************************/

#if defined(__XC)
    #include <xc.h>         /* XC8 General Include File */
#elif defined(HI_TECH_C)
    #include <htc.h>        /* HiTech General Include File */
#endif

#include <stdint.h>         /* For uint8_t definition */
#include <stdbool.h>        /* For true/false definition */

/******************************************************************************/
/* Interrupt Routines                                                         */
/******************************************************************************/

/* Baseline devices don't have interrupts. Note that some PIC16's 
 * are baseline devices.  Unfortunately the baseline detection macro is 
 * _PIC12 */
#ifndef _PIC12

volatile extern bool StepFlag;

void interrupt isr(void)
{
    /* This code stub shows general interrupt handling.  Note that these
    conditional statements are not handled within 3 seperate if blocks.
    Do not use a seperate if block for each interrupt flag to avoid run
    time errors. */


    
    /* TODO Add interrupt routine code here. */

    /* Determine which flag generated the interrupt */
    if(INTCONbits.RABIF)
    {
        if(RA4) {
            StepFlag = true; // step when RA4 goes high, read from PORTA to clear mismatch
        }
        INTCONbits.RABIF = 0; /* Clear Interrupt Flag 1 */
    }    
    else
    {
        /* Unhandled interrupts */
    }


}
#endif


