/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#if defined(__XC)
    #include <xc.h>         /* XC8 General Include File */
#elif defined(HI_TECH_C)
    #include <htc.h>        /* HiTech General Include File */
#endif

#include <stdint.h>        /* For uint8_t definition */
#include <stdbool.h>       /* For true/false definition */

#include "system.h"        /* System funct/params, like osc/peripheral config */
#include "user.h"          /* User funct/params, such as InitApp */

/******************************************************************************/
/* User Global Variable Declaration                                           */
/******************************************************************************/
#define	delay_us(x) { unsigned char us; \
		      us = (x)/(12000000/FOSC)|1; \
		      while(--us != 0) continue; }

void delay_ms(unsigned int ms)
{
  unsigned char i;
  do {
    i = 4;
    do {
      delay_us(164);
    } while(--i);
  } while(--ms);
}

volatile bool StepFlag = false;

/******************************************************************************/
/* Main Program                                                               */
/******************************************************************************/
void main(void)
{
    
    /* Configure the oscillator for the device */
    ConfigureOscillator();

    /* Initialize I/O and Peripherals for application */
    InitApp();

    // Upon reset (initiated by master) choose a startup state for the LED
    resetCell();

    while(1)
    {
        
        // if a ChangeCell interrupt occured
        if(StepFlag)
        {
            StepFlag = false;            
            stepCell();

        }
        delay_ms(10);
            
    }

}

